#ifndef CCHALETINTERFACE_H
#define CCHALETINTERFACE_H

#include "NetworkDevice.h"

#include "ChaletDevice.h"

class CChaletInterface:  public QObject, public CNetworkDevice
{
    Q_OBJECT
public:

    CChaletInterface(int Address, CAbstractNetworkCommIF *NetworkInterface, CChaletDevice *DevicePtr);
    virtual int NewDeviceFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);

    void SendChaletCommActivityBeacon();
private:
    CChaletDevice *mChaletLoraDevice;
    CChaletDataLogger *mChaletDataLogger;

public slots:
    void DeviceWiFiDataReceived();
    void DeviceFirmwareVersionReceived();
    void DeviceWifiStatusReceived(QByteArray Data);

};

#endif // CCHALETINTERFACE_H
